<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session;
use Symfony\Component\HttpFoundation\SessionStorage\PdoSessionStorage;

class SessionController extends Controller
{
    private function createMenu()
    {
        return array(
            array('route'=>'session_index', 'desc'=>'Listowanie zmiennych'),
            array('route'=>'session_setvar', 'desc'=>'Ustawienie zmiennej'),
            array('route'=>'session_setdbvar', 'desc'=>'Ustawienie zmiennej w DB'),
        );
    }
    
    /**
     * @Route("/list", name="session_index")
     * @Template()
     */
    public function indexAction()
    {
        // listowanie zmiennych
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/setvar", name="session_setvar")
     * @Template()
     */
    public function setvarAction()
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }
    
    /**
     * @Route("/setdbvar", name="session_setdbvar")
     * @Template()
     */
    public function setdbvarAction()
    {
        /*
        $pdo = new \PDO('mysql:host=localhost;dbname=test', 'root', '', array(\PDO::ATTR_ERRMODE => \PDO::ERRMODE_EXCEPTION));
        $storage = new PdoSessionStorage($pdo, array(), array(
            'db_table'=>'php_session',
            'db_id_col'=>'session_id',
            'db_data_col'=>'session_value',
            'db_time_col'=>'session_time'));
        $session = new Session($storage, array('default_locale'=>'fr'));
        $session->start();
        $session->set("counter","1");
        $session->save();
        */
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }
    
}
