<?php

namespace Simple\SiteBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Simple\ModelBundle\Entity\Osoba
 *
 * @ORM\Table(name="osoba")
 * @ORM\Entity
 */
class Osoba
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="ID", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $imie
     *
     * @ORM\Column(name="Imie", type="string", length=30, nullable=true)
     */
    private $imie;

    /**
     * @var string $nazwisko
     *
     * @ORM\Column(name="Nazwisko", type="string", length=50, nullable=true)
     */
    private $nazwisko;

    /**
     * @var integer $idOddzial
     *
     * @ORM\Column(name="ID_Oddzial", type="integer", nullable=true)
     */
    private $idOddzial;



    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set imie
     *
     * @param string $imie
     */
    public function setImie($imie)
    {
        $this->imie = $imie;
    }

    /**
     * Get imie
     *
     * @return string 
     */
    public function getImie()
    {
        return $this->imie;
    }

    /**
     * Set nazwisko
     *
     * @param string $nazwisko
     */
    public function setNazwisko($nazwisko)
    {
        $this->nazwisko = $nazwisko;
    }

    /**
     * Get nazwisko
     *
     * @return string 
     */
    public function getNazwisko()
    {
        return $this->nazwisko;
    }

    /**
     * Set idOddzial
     *
     * @param integer $idOddzial
     */
    public function setIdOddzial($idOddzial)
    {
        $this->idOddzial = $idOddzial;
    }

    /**
     * Get idOddzial
     *
     * @return integer 
     */
    public function getIdOddzial()
    {
        return $this->idOddzial;
    }
    
    
    
    
    /**
     * @ORM\ManyToOne(targetEntity="Oddzial", inversedBy="osobaCollection")
     * @ORM\JoinColumn(name="ID_Oddzial", referencedColumnName="ID")
     */
    protected $oddzial;
}