<?php

namespace Simple\SiteBundle\Entity;

use Symfony\Component\Validator\Constraints as Assert;

class Osoba
{
    /**
     * @Assert\NotBlank(message="Pole nie może być puste")
     */
    private $imie;

    /**
     * @Assert\NotBlank(message="Pole nie może być puste")
     */
    private $nazwisko;

    /**
     * Set imie
     *
     * @param string $imie
     */
    public function setImie($imie)
    {
        $this->imie = $imie;
    }

    /**
     * Get imie
     *
     * @return string 
     */
    public function getImie()
    {
        return $this->imie;
    }

    /**
     * Set nazwisko
     *
     * @param string $nazwisko
     */
    public function setNazwisko($nazwisko)
    {
        $this->nazwisko = $nazwisko;
    }

    /**
     * Get nazwisko
     *
     * @return string 
     */
    public function getNazwisko()
    {
        return $this->nazwisko;
    }
}