<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

class DefaultController extends Controller
{
    /**
     * @Route("/")
     * @Template()
     */
    public function indexAction()
    {
        $t = $this->get("random_number")->getNumber();
        $od = $this->get("random_number")->getFrom();
        $do = $this->get("random_number")->getTo();
        $zakres = "[$od, $do]";
        return array('dane' => join(", ", $t), 'zakres' => $zakres);
    }

    /**
     * @Route("/params")
     * @Template()
     */
    public function paramsAction()
    {
        $secret = $this->get("params")->getSecret();
        $host = $this->get("params")->getDb()->getConnection()->getHost();
        return array('secret'=>$secret, 'dbhost'=>$host);
    }

}
